[Solved] Disaster upgrade openssl

archlabs% sudo pacman -U firefox-106.0.5-1-x86_64.pkg.tar.zst adwaita-icon-theme-43-1-any.pkg.tar.zst git-2.38.1-2-x86_64.pkg.tar.zst linux-zen-6.0.7.zen1-1-x86_64.pkg.tar.zst python-3.10.8-3-x86_64.pkg.tar.zst qt5-base-5.15.7+kde+r168-1-x86_64.pkg.tar.zst systemd-251.7-4-x86_64.pkg.tar.zst systemd-libs-251.7-4-x86_64.pkg.tar.zst systemd-sysvcompat-251.7-4-x86_64.pkg.tar.zst webkit2gtk-2.38.2-1-x86_64.pkg.tar.zst webkit2gtk-4.1-2.38.2-1-x86_64.pkg.tar.zst 
[sudo] password di eroe: 
caricamento dei pacchetti in corso...
risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...

Pacchetti (12) openssl-3.0.7-2  adwaita-icon-theme-43-1  firefox-106.0.5-1
               git-2.38.1-2  linux-zen-6.0.7.zen1-1  python-3.10.8-3
               qt5-base-5.15.7+kde+r168-1  systemd-251.7-4
               systemd-libs-251.7-4  systemd-sysvcompat-251.7-4
               webkit2gtk-2.38.2-1  webkit2gtk-4.1-2.38.2-1

Dimensione totale dei pacchetti da scaricare:     5,07 MiB
Dimensione totale dei pacchetti da installare:  783,04 MiB
Dimensione netta dell'aggiornamento:              3,38 MiB

:: Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti in corso...
 openssl-3.0.7-2-...     5,1 MiB  1225 KiB/s 00:04 [----------------------] 100%
(12/12) verifica delle chiavi presenti nel por...  [----------------------] 100%
( 1/12) verifica dell'integrità dei pacchetti      [----------------------] 100%
( 1/12) caricamento dei file dei pacchetti         [----------------------] 100%
(12/12) controllo dei conflitti in corso           [----------------------] 100%
(12/12) controllo dello spazio disponibile sul...  [----------------------] 100%
:: Esecuzione degli hook di pre-transazione...
(1/1) Removing linux initcpios...
:: Elaborazione delle modifiche al pacchetto...
( 1/12) aggiornamento in corso di openssl          [----------------------] 100%
( 2/12) aggiornamento in corso di systemd-libs     [----------------------] 100%
( 3/12) aggiornamento in corso di systemd          [----------------------] 100%
systemd-sysusers: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
journalctl: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
systemctl: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
( 4/12) aggiornamento in corso di adwaita-icon...  [----------------------] 100%
( 5/12) aggiornamento in corso di firefox          [----------------------] 100%
( 6/12) aggiornamento in corso di git              [----------------------] 100%
( 7/12) aggiornamento in corso di linux-zen        [----------------------] 100%
( 8/12) aggiornamento in corso di python           [----------------------] 100%
( 9/12) aggiornamento in corso di qt5-base         [----------------------] 100%
(10/12) aggiornamento in corso di systemd-sysv...  [----------------------] 100%
(11/12) aggiornamento in corso di webkit2gtk       [----------------------] 100%
(12/12) aggiornamento in corso di webkit2gtk-4.1   [----------------------] 100%
:: Esecuzione degli hook di post-transazione...
( 1/14) Creating system user accounts...
/usr/bin/systemd-sysusers: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
( 2/14) Updating journal message catalog...
/usr/bin/journalctl: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
( 3/14) Reloading system manager configuration...
systemd-detect-virt: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
/usr/bin/systemctl: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
( 4/14) Updating udev hardware database...
/usr/bin/systemd-hwdb: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
( 5/14) Applying kernel sysctl settings...
systemd-detect-virt: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
/usr/lib/systemd/systemd-sysctl: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
( 6/14) Creating temporary files...
/usr/bin/systemd-tmpfiles: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
( 7/14) Reloading device manager configuration...
systemd-detect-virt: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
/usr/bin/udevadm: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
( 8/14) Arming ConditionNeedsUpdate...
( 9/14) Updating module dependencies...
depmod: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
(10/14) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'default'
  -> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen.img
==> Starting build: 6.0.7-zen1-1-zen
  -> Running build hook: [base]
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `kmod'
  -> Running build hook: [udev]
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/systemd/systemd-udevd'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/bin/udevadm'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/bin/systemd-tmpfiles'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/ata_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/ata_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/ata_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/scsi_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/scsi_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/bin/udevadm'
  -> Running build hook: [autodetect]
sort: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
modprobe: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
  -> Running build hook: [modconf]
  -> Running build hook: [block]
==> ERROR: module not found: `nvme_common'
==> ERROR: module not found: `nvme_fc'
==> ERROR: module not found: `nvme_fabrics'
==> ERROR: module not found: `nvme_rdma'
==> ERROR: module not found: `nvme_core'
==> ERROR: module not found: `nvme_tcp'
==> ERROR: module not found: `nvme'
==> ERROR: module not found: `nvmet_fc'
==> ERROR: module not found: `nvmet'
==> ERROR: module not found: `nvmet_tcp'
==> ERROR: module not found: `nvmet_rdma'
==> ERROR: module not found: `nvme_fcloop'
==> ERROR: module not found: `nvme_loop'
==> ERROR: module not found: `mptsas'
==> ERROR: module not found: `mptspi'
==> ERROR: module not found: `mptscsih'
==> ERROR: module not found: `mptbase'
==> ERROR: module not found: `mptlan'
==> ERROR: module not found: `mptfc'
==> ERROR: module not found: `mptctl'
==> ERROR: module not found: `a100u2w'
==> ERROR: module not found: `stex'
==> ERROR: module not found: `dmx3191d'
==> ERROR: module not found: `pmcraid'
==> ERROR: module not found: `smartpqi'
==> ERROR: module not found: `qla4xxx'
==> ERROR: module not found: `megaraid_sas'
==> ERROR: module not found: `megaraid_mbox'
==> ERROR: module not found: `megaraid_mm'
==> ERROR: module not found: `scsi_transport_fc'
==> ERROR: module not found: `qlogicfas408'
==> ERROR: module not found: `aic94xx'
==> ERROR: module not found: `aacraid'
==> ERROR: module not found: `megaraid'
==> ERROR: module not found: `hptiop'
==> ERROR: module not found: `isci'
==> ERROR: module not found: `hpsa'
==> ERROR: module not found: `mpi3mr'
==> ERROR: module not found: `scsi_transport_iscsi'
==> ERROR: module not found: `arcmsr'
==> ERROR: module not found: `libsas'
==> ERROR: module not found: `sr_mod'
==> ERROR: module not found: `bnx2i'
==> ERROR: module not found: `initio'
==> ERROR: module not found: `ch'
==> ERROR: module not found: `mvsas'
==> ERROR: module not found: `snic'
==> ERROR: module not found: `fdomain'
==> ERROR: module not found: `libfc'
==> ERROR: module not found: `esas2r'
==> ERROR: module not found: `scsi_transport_spi'
==> ERROR: module not found: `fdomain_pci'
==> ERROR: module not found: `imm'
==> ERROR: module not found: `scsi_transport_sas'
==> ERROR: module not found: `pm80xx'
==> ERROR: module not found: `qedi'
==> ERROR: module not found: `vmw_pvscsi'
==> ERROR: module not found: `fcoe'
==> ERROR: module not found: `libfcoe'
==> ERROR: module not found: `xen_scsifront'
==> ERROR: module not found: `esp_scsi'
==> ERROR: module not found: `bfa'
==> ERROR: module not found: `mvumi'
==> ERROR: module not found: `qla1280'
==> ERROR: module not found: `scsi_debug'
==> ERROR: module not found: `BusLogic'
==> ERROR: module not found: `scsi_dh_rdac'
==> ERROR: module not found: `scsi_dh_alua'
==> ERROR: module not found: `scsi_dh_hp_sw'
==> ERROR: module not found: `scsi_dh_emc'
==> ERROR: module not found: `csiostor'
==> ERROR: module not found: `myrb'
==> ERROR: module not found: `wd719x'
==> ERROR: module not found: `3w_9xxx'
==> ERROR: module not found: `virtio_scsi'
==> ERROR: module not found: `lpfc'
==> ERROR: module not found: `aic7xxx'
==> ERROR: module not found: `aic79xx'
==> ERROR: module not found: `qla2xxx'
==> ERROR: module not found: `tcm_qla2xxx'
==> ERROR: module not found: `efct'
==> ERROR: module not found: `hv_storvsc'
==> ERROR: module not found: `ipr'
==> ERROR: module not found: `raid_class'
==> ERROR: module not found: `st'
==> ERROR: module not found: `libiscsi_tcp'
==> ERROR: module not found: `sym53c8xx'
==> ERROR: module not found: `scsi_transport_srp'
==> ERROR: module not found: `vhba'
==> ERROR: module not found: `fnic'
==> ERROR: module not found: `mpt3sas'
==> ERROR: module not found: `be2iscsi'
==> ERROR: module not found: `cxgb4i'
==> ERROR: module not found: `libcxgbi'
==> ERROR: module not found: `cxgb3i'
==> ERROR: module not found: `atp870u'
==> ERROR: module not found: `dc395x'
==> ERROR: module not found: `3w_xxxx'
==> ERROR: module not found: `3w_sas'
==> ERROR: module not found: `bnx2fc'
==> ERROR: module not found: `ppa'
==> ERROR: module not found: `qedf'
==> ERROR: module not found: `iscsi_boot_sysfs'
==> ERROR: module not found: `am53c974'
==> ERROR: module not found: `aha152x_cs'
==> ERROR: module not found: `fdomain_cs'
==> ERROR: module not found: `sym53c500_cs'
==> ERROR: module not found: `qlogic_cs'
==> ERROR: module not found: `advansys'
==> ERROR: module not found: `ips'
==> ERROR: module not found: `libiscsi'
==> ERROR: module not found: `myrs'
==> ERROR: module not found: `sg'
==> ERROR: module not found: `iscsi_tcp'
==> ERROR: module not found: `ses'
==> ERROR: module not found: `xen_blkfront'
==> ERROR: module not found: `brd'
==> ERROR: module not found: `virtio_blk'
==> ERROR: module not found: `floppy'
==> ERROR: module not found: `pktcdvd'
==> ERROR: module not found: `mtip32xx'
==> ERROR: module not found: `xen_blkback'
==> ERROR: module not found: `rnbd_server'
==> ERROR: module not found: `rnbd_client'
==> ERROR: module not found: `rbd'
==> ERROR: module not found: `ublk_drv'
==> ERROR: module not found: `drbd'
==> ERROR: module not found: `loop'
==> ERROR: module not found: `null_blk'
==> ERROR: module not found: `zram'
==> ERROR: module not found: `nbd'
==> ERROR: module not found: `aoe'
==> ERROR: module not found: `pata_opti'
==> ERROR: module not found: `pata_jmicron'
==> ERROR: module not found: `pata_efar'
==> ERROR: module not found: `pata_sis'
==> ERROR: module not found: `pata_legacy'
==> ERROR: module not found: `pata_acpi'
==> ERROR: module not found: `pata_mpiix'
==> ERROR: module not found: `sata_svw'
==> ERROR: module not found: `pata_atp867x'
==> ERROR: module not found: `pata_marvell'
==> ERROR: module not found: `pata_atiixp'
==> ERROR: module not found: `pata_cypress'
==> ERROR: module not found: `pata_cmd640'
==> ERROR: module not found: `pata_hpt37x'
==> ERROR: module not found: `sata_nv'
==> ERROR: module not found: `pata_it8213'
==> ERROR: module not found: `pata_ns87415'
==> ERROR: module not found: `sata_vsc'
==> ERROR: module not found: `pata_optidma'
==> ERROR: module not found: `pata_triflex'
==> ERROR: module not found: `pata_sl82c105'
==> ERROR: module not found: `pata_hpt3x2n'
==> ERROR: module not found: `pata_artop'
==> ERROR: module not found: `pata_oldpiix'
==> ERROR: module not found: `pata_ninja32'
==> ERROR: module not found: `pata_hpt3x3'
==> ERROR: module not found: `sata_inic162x'
==> ERROR: module not found: `pata_pdc202xx_old'
==> ERROR: module not found: `sata_sil'
==> ERROR: module not found: `sata_qstor'
==> ERROR: module not found: `pata_sil680'
==> ERROR: module not found: `pata_amd'
==> ERROR: module not found: `pata_cmd64x'
==> ERROR: module not found: `pata_ns87410'
==> ERROR: module not found: `sata_mv'
==> ERROR: module not found: `sata_uli'
==> ERROR: module not found: `pata_radisys'
==> ERROR: module not found: `pata_via'
==> ERROR: module not found: `sata_dwc_460ex'
==> ERROR: module not found: `pata_it821x'
==> ERROR: module not found: `sata_promise'
==> ERROR: module not found: `pata_netcell'
==> ERROR: module not found: `pata_pdc2027x'
==> ERROR: module not found: `pata_serverworks'
==> ERROR: module not found: `pata_piccolo'
==> ERROR: module not found: `pata_pcmcia'
==> ERROR: module not found: `pata_sch'
==> ERROR: module not found: `sata_sx4'
==> ERROR: module not found: `pata_ali'
==> ERROR: module not found: `sata_via'
==> ERROR: module not found: `sata_sis'
==> ERROR: module not found: `sata_sil24'
==> ERROR: module not found: `pata_rz1000'
==> ERROR: module not found: `pata_rdc'
==> ERROR: module not found: `pata_hpt366'
==> ERROR: module not found: `ata_piix'
==> ERROR: module not found: `ahci_platform'
==> ERROR: module not found: `ata_generic'
==> ERROR: module not found: `pdc_adma'
==> ERROR: module not found: `bcma_hcd'
==> ERROR: module not found: `oxu210hp_hcd'
==> ERROR: module not found: `ehci_fsl'
==> ERROR: module not found: `xhci_pci'
==> ERROR: module not found: `ssb_hcd'
==> ERROR: module not found: `xen_hcd'
==> ERROR: module not found: `sl811_hcd'
==> ERROR: module not found: `fotg210_hcd'
==> ERROR: module not found: `ehci_platform'
==> ERROR: module not found: `xhci_plat_hcd'
==> ERROR: module not found: `r8a66597_hcd'
==> ERROR: module not found: `isp116x_hcd'
==> ERROR: module not found: `xhci_pci_renesas'
==> ERROR: module not found: `ohci_platform'
==> ERROR: module not found: `u132_hcd'
==> ERROR: module not found: `max3421_hcd'
==> ERROR: module not found: `fsl_mph_dr_of'
==> ERROR: module not found: `ums_realtek'
==> ERROR: module not found: `ums_datafab'
==> ERROR: module not found: `ums_usbat'
==> ERROR: module not found: `ums_isd200'
==> ERROR: module not found: `ums_karma'
==> ERROR: module not found: `ums_jumpshot'
==> ERROR: module not found: `ums_sddr55'
==> ERROR: module not found: `ums_freecom'
==> ERROR: module not found: `ums_cypress'
==> ERROR: module not found: `ums_sddr09'
==> ERROR: module not found: `ums_eneub6250'
==> ERROR: module not found: `uas'
==> ERROR: module not found: `usb_storage'
==> ERROR: module not found: `ums_alauda'
==> ERROR: module not found: `ums_onetouch'
==> ERROR: module not found: `nosy'
==> ERROR: module not found: `firewire_core'
==> ERROR: module not found: `firewire_sbp2'
==> ERROR: module not found: `firewire_net'
==> ERROR: module not found: `firewire_ohci'
==> ERROR: module not found: `tifm_ms'
==> ERROR: module not found: `tifm_7xx1'
==> ERROR: module not found: `tifm_core'
==> ERROR: module not found: `mmc_block'
==> ERROR: module not found: `sdio_uart'
==> ERROR: module not found: `mmc_test'
==> ERROR: module not found: `mmc_core'
==> ERROR: module not found: `vub300'
==> ERROR: module not found: `mmc_spi'
==> ERROR: module not found: `ushc'
==> ERROR: module not found: `tifm_sd'
==> ERROR: module not found: `rtsx_pci_sdmmc'
==> ERROR: module not found: `rtsx_usb_sdmmc'
==> ERROR: module not found: `mmc_hsq'
==> ERROR: module not found: `sdhci_f_sdh30'
==> ERROR: module not found: `sdhci_xenon_driver'
==> ERROR: module not found: `wbsd'
==> ERROR: module not found: `cqhci'
==> ERROR: module not found: `alcor'
==> ERROR: module not found: `toshsd'
==> ERROR: module not found: `mtk_sd'
==> ERROR: module not found: `sdricoh_cs'
==> ERROR: module not found: `usdhi6rol0'
==> ERROR: module not found: `via_sdmmc'
==> ERROR: module not found: `sdhci'
==> ERROR: module not found: `cb710_mmc'
==> ERROR: module not found: `of_mmc_spi'
==> ERROR: module not found: `sdhci_acpi'
==> ERROR: module not found: `sdhci_pltfm'
==> ERROR: module not found: `sdhci_pci'
==> ERROR: module not found: `spi_cadence'
==> ERROR: module not found: `spi_intel'
==> ERROR: module not found: `spi_axi_spi_engine'
==> ERROR: module not found: `spi_slave_system_control'
==> ERROR: module not found: `spi_zynqmp_gqspi'
==> ERROR: module not found: `spi_tle62x0'
==> ERROR: module not found: `spi_sc18is602'
==> ERROR: module not found: `spi_butterfly'
==> ERROR: module not found: `spidev'
==> ERROR: module not found: `spi_pxa2xx_platform'
==> ERROR: module not found: `spi_intel_pci'
==> ERROR: module not found: `spi_dw_pci'
==> ERROR: module not found: `spi_xcomm'
==> ERROR: module not found: `spi_altera_platform'
==> ERROR: module not found: `spi_slave_time'
==> ERROR: module not found: `spi_xilinx'
==> ERROR: module not found: `spi_intel_platform'
==> ERROR: module not found: `spi_pxa2xx_pci'
==> ERROR: module not found: `spi_dln2'
==> ERROR: module not found: `spi_loopback_test'
==> ERROR: module not found: `spi_nxp_fspi'
==> ERROR: module not found: `spi_microchip_core'
==> ERROR: module not found: `spi_altera_dfl'
==> ERROR: module not found: `spi_dw_mmio'
==> ERROR: module not found: `spi_amd'
==> ERROR: module not found: `spi_mux'
==> ERROR: module not found: `spi_bitbang'
==> ERROR: module not found: `spi_oc_tiny'
==> ERROR: module not found: `spi_mxic'
==> ERROR: module not found: `spi_lm70llp'
==> ERROR: module not found: `spi_altera_core'
==> ERROR: module not found: `spi_sifive'
==> ERROR: module not found: `spi_dw'
==> ERROR: module not found: `spi_gpio'
==> ERROR: module not found: `virtiofs'
==> ERROR: module not found: `virtio_crypto'
==> ERROR: module not found: `virtio_iommu'
==> ERROR: module not found: `vp_vdpa'
==> ERROR: module not found: `virtio_bt'
==> ERROR: module not found: `virtio_console'
==> ERROR: module not found: `virtio_rng'
==> ERROR: module not found: `virtio_rpmsg_bus'
==> ERROR: module not found: `virtio_scsi'
==> ERROR: module not found: `gpio_virtio'
==> ERROR: module not found: `virtio_gpu'
==> ERROR: module not found: `virtio_net'
==> ERROR: module not found: `virtio_mem'
==> ERROR: module not found: `virtio_pci_modern_dev'
==> ERROR: module not found: `virtio_pci_legacy_dev'
==> ERROR: module not found: `virtio_pci'
==> ERROR: module not found: `virtio_vdpa'
==> ERROR: module not found: `virtio_mmio'
==> ERROR: module not found: `virtio_balloon'
==> ERROR: module not found: `virtio_dma_buf'
==> ERROR: module not found: `virtio_input'
==> ERROR: module not found: `i2c_virtio'
==> ERROR: module not found: `nd_virtio'
==> ERROR: module not found: `virtio_pmem'
==> ERROR: module not found: `virtio_blk'
==> ERROR: module not found: `vmw_vsock_virtio_transport_common'
==> ERROR: module not found: `vmw_vsock_virtio_transport'
==> ERROR: module not found: `9pnet_virtio'
==> ERROR: module not found: `virtio_snd'
==> ERROR: module not found: `nd_btt'
==> ERROR: module not found: `nd_virtio'
==> ERROR: module not found: `virtio_pmem'
==> ERROR: module not found: `nd_pmem'
==> ERROR: module not found: `nd_e820'
==> ERROR: module not found: `mvmdio'
==> ERROR: module not found: `vmd'
  -> Running build hook: [filesystems]
==> ERROR: module not found: `befs'
==> ERROR: module not found: `cachefiles'
==> ERROR: module not found: `jffs2'
==> ERROR: module not found: `fat'
==> ERROR: module not found: `msdos'
==> ERROR: module not found: `vfat'
==> ERROR: module not found: `nilfs2'
==> ERROR: module not found: `cifs'
==> ERROR: module not found: `orangefs'
==> ERROR: module not found: `cifs_arc4'
==> ERROR: module not found: `cifs_md4'
==> ERROR: module not found: `ecryptfs'
==> ERROR: module not found: `f2fs'
==> ERROR: module not found: `kafs'
==> ERROR: module not found: `xfs'
==> ERROR: module not found: `udf'
==> ERROR: module not found: `ksmbd'
==> ERROR: module not found: `omfs'
==> ERROR: module not found: `squashfs'
==> ERROR: module not found: `overlay'
==> ERROR: module not found: `dlm'
==> ERROR: module not found: `affs'
==> ERROR: module not found: `hfsplus'
==> ERROR: module not found: `vboxsf'
==> ERROR: module not found: `grace'
==> ERROR: module not found: `nfs_acl'
==> ERROR: module not found: `lockd'
==> ERROR: module not found: `quota_v1'
==> ERROR: module not found: `quota_tree'
==> ERROR: module not found: `quota_v2'
==> ERROR: module not found: `exfat'
==> ERROR: module not found: `jbd2'
==> ERROR: module not found: `isofs'
==> ERROR: module not found: `fuse'
==> ERROR: module not found: `cuse'
==> ERROR: module not found: `virtiofs'
==> ERROR: module not found: `erofs'
==> ERROR: module not found: `ext4'
==> ERROR: module not found: `ntfs3'
==> ERROR: module not found: `ceph'
==> ERROR: module not found: `jfs'
==> ERROR: module not found: `cramfs'
==> ERROR: module not found: `pstore_blk'
==> ERROR: module not found: `ramoops'
==> ERROR: module not found: `pstore_zone'
==> ERROR: module not found: `coda'
==> ERROR: module not found: `gfs2'
==> ERROR: module not found: `nfsd'
==> ERROR: module not found: `9p'
==> ERROR: module not found: `ufs'
==> ERROR: module not found: `zonefs'
==> ERROR: module not found: `fscache'
==> ERROR: module not found: `nfs'
==> ERROR: module not found: `nfs_layout_nfsv41_files'
==> ERROR: module not found: `nfsv3'
==> ERROR: module not found: `nfsv4'
==> ERROR: module not found: `blocklayoutdriver'
==> ERROR: module not found: `nfsv2'
==> ERROR: module not found: `nfs_layout_flexfiles'
==> ERROR: module not found: `reiserfs'
==> ERROR: module not found: `ocfs2_nodemanager'
==> ERROR: module not found: `ocfs2_stack_user'
==> ERROR: module not found: `ocfs2_dlm'
==> ERROR: module not found: `ocfs2'
==> ERROR: module not found: `ocfs2_stackglue'
==> ERROR: module not found: `ocfs2_dlmfs'
==> ERROR: module not found: `ocfs2_stack_o2cb'
==> ERROR: module not found: `netfs'
==> ERROR: module not found: `ubifs'
==> ERROR: module not found: `romfs'
==> ERROR: module not found: `mbcache'
==> ERROR: module not found: `minix'
==> ERROR: module not found: `hfs'
==> ERROR: module not found: `btrfs'
  -> Running build hook: [shutdown]
  -> Running build hook: [keyboard]
==> ERROR: module not found: `bcma_hcd'
==> ERROR: module not found: `oxu210hp_hcd'
==> ERROR: module not found: `ehci_fsl'
==> ERROR: module not found: `xhci_pci'
==> ERROR: module not found: `ssb_hcd'
==> ERROR: module not found: `xen_hcd'
==> ERROR: module not found: `sl811_hcd'
==> ERROR: module not found: `fotg210_hcd'
==> ERROR: module not found: `ehci_platform'
==> ERROR: module not found: `xhci_plat_hcd'
==> ERROR: module not found: `r8a66597_hcd'
==> ERROR: module not found: `isp116x_hcd'
==> ERROR: module not found: `xhci_pci_renesas'
==> ERROR: module not found: `ohci_platform'
==> ERROR: module not found: `u132_hcd'
==> ERROR: module not found: `max3421_hcd'
==> ERROR: module not found: `fsl_mph_dr_of'
==> ERROR: module not found: `hid_sjoy'
==> ERROR: module not found: `hid_belkin'
==> ERROR: module not found: `hid_mcp2221'
==> ERROR: module not found: `hid_cmedia'
==> ERROR: module not found: `hid_multitouch'
==> ERROR: module not found: `hid_retrode'
==> ERROR: module not found: `hid_roccat_kone'
==> ERROR: module not found: `hid_gembird'
==> ERROR: module not found: `hid_samsung'
==> ERROR: module not found: `hid_accutouch'
==> ERROR: module not found: `hid_zpff'
==> ERROR: module not found: `hid_prodikeys'
==> ERROR: module not found: `hid_led'
==> ERROR: module not found: `hid_microsoft'
==> ERROR: module not found: `hid_udraw_ps3'
==> ERROR: module not found: `hid_ite'
==> ERROR: module not found: `hid_google_hammer'
==> ERROR: module not found: `hid_emsff'
==> ERROR: module not found: `hid_xiaomi'
==> ERROR: module not found: `hid_a4tech'
==> ERROR: module not found: `hid_holtek_mouse'
==> ERROR: module not found: `hid_roccat_koneplus'
==> ERROR: module not found: `hid_xinmo'
==> ERROR: module not found: `hid_gaff'
==> ERROR: module not found: `hid_logitech_dj'
==> ERROR: module not found: `hid_saitek'
==> ERROR: module not found: `hid_cp2112'
==> ERROR: module not found: `hid_sony'
==> ERROR: module not found: `hid_primax'
==> ERROR: module not found: `hid_roccat_common'
==> ERROR: module not found: `hid_nti'
==> ERROR: module not found: `hid_razer'
==> ERROR: module not found: `hid_rmi'
==> ERROR: module not found: `hid_kensington'
==> ERROR: module not found: `hid_steam'
==> ERROR: module not found: `hid_cypress'
==> ERROR: module not found: `hid_glorious'
==> ERROR: module not found: `hid_roccat_kovaplus'
==> ERROR: module not found: `hid_tivo'
==> ERROR: module not found: `hid_appleir'
==> ERROR: module not found: `hid_steelseries'
==> ERROR: module not found: `hid_vivaldi_common'
==> ERROR: module not found: `hid_roccat_lua'
==> ERROR: module not found: `hid_plantronics'
==> ERROR: module not found: `hid_roccat_ryos'
==> ERROR: module not found: `hid_logitech'
==> ERROR: module not found: `hid_chicony'
==> ERROR: module not found: `hid_topseed'
==> ERROR: module not found: `hid_roccat_pyra'
==> ERROR: module not found: `hid_ntrig'
==> ERROR: module not found: `hid_logitech_hidpp'
==> ERROR: module not found: `hid_apple'
==> ERROR: module not found: `hid_twinhan'
==> ERROR: module not found: `hid_tmff'
==> ERROR: module not found: `hid_corsair'
==> ERROR: module not found: `hid_sensor_custom'
==> ERROR: module not found: `hid_topre'
==> ERROR: module not found: `hid_magicmouse'
==> ERROR: module not found: `hid_cougar'
==> ERROR: module not found: `hid_asus'
==> ERROR: module not found: `hid_keytouch'
==> ERROR: module not found: `hid_letsketch'
==> ERROR: module not found: `hid_hyperv'
==> ERROR: module not found: `hid_lcpower'
==> ERROR: module not found: `hid_sunplus'
==> ERROR: module not found: `hid_dr'
==> ERROR: module not found: `hid_alps'
==> ERROR: module not found: `hid_viewsonic'
==> ERROR: module not found: `hid_u2fzero'
==> ERROR: module not found: `hid_waltop'
==> ERROR: module not found: `hid_elan'
==> ERROR: module not found: `hid_nintendo'
==> ERROR: module not found: `hid_betopff'
==> ERROR: module not found: `hid_maltron'
==> ERROR: module not found: `hid_monterey'
==> ERROR: module not found: `hid_petalynx'
==> ERROR: module not found: `hid_holtek_kbd'
==> ERROR: module not found: `hid_gt683r'
==> ERROR: module not found: `hid_lg_g15'
==> ERROR: module not found: `hid_gfrm'
==> ERROR: module not found: `hid_wiimote'
==> ERROR: module not found: `hid_icade'
==> ERROR: module not found: `hid_roccat_arvo'
==> ERROR: module not found: `hid_ft260'
^C
Interrupt signal received
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'fallback'
  -> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen-fallback.img -S autodetect
==> Starting build: 6.0.7-zen1-1-zen
  -> Running build hook: [base]
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `kmod'
  -> Running build hook: [udev]
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/systemd/systemd-udevd'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/bin/udevadm'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/bin/systemd-tmpfiles'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/ata_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/ata_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/ata_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/scsi_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/lib/udev/scsi_id'
==> ERROR: binary dependency `libcrypto.so.1.1' not found for `/usr/bin/udevadm'
  -> Running build hook: [modconf]
  -> Running build hook: [block]
^C
Interrupt signal received
errore: l'esecuzione del comando non è riuscita correttamente
(11/14) Gracefully upgrading systemd-boot...
/usr/bin/systemctl: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
(12/14) Reloading system bus configuration...
systemd-detect-virt: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
/usr/bin/systemctl: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
errore: l'esecuzione del comando non è riuscita correttamente
(13/14) Updating icon theme caches...
(14/14) Updating the desktop file MIME type cache...
archlabs% 
help please
archlabs% ldd $(which pacman)
	linux-vdso.so.1 (0x00007ffe20bf0000)
	libalpm.so.13 => /usr/lib/libalpm.so.13 (0x00007f5534aa8000)
	libarchive.so.13 => /usr/lib/libarchive.so.13 (0x00007f55349e1000)
	libc.so.6 => /usr/lib/libc.so.6 (0x00007f55347fa000)
	libcrypto.so.1.1 => not found
	libcurl.so.4 => /usr/lib/libcurl.so.4 (0x00007f5534753000)
	libgpgme.so.11 => /usr/lib/libgpgme.so.11 (0x00007f5534701000)
	libcrypto.so.1.1 => not found
	libacl.so.1 => /usr/lib/libacl.so.1 (0x00007f55346f5000)
	libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f55346ca000)
	liblzma.so.5 => /usr/lib/liblzma.so.5 (0x00007f55346a0000)
	libzstd.so.1 => /usr/lib/libzstd.so.1 (0x00007f55345f7000)
	liblz4.so.1 => /usr/lib/liblz4.so.1 (0x00007f55345d5000)
	libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007f55345c0000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007f55345a6000)
	/lib64/ld-linux-x86-64.so.2 => /usr/lib64/ld-linux-x86-64.so.2 (0x00007f5534b2b000)
	libnghttp2.so.14 => /usr/lib/libnghttp2.so.14 (0x00007f553457a000)
	libidn2.so.0 => /usr/lib/libidn2.so.0 (0x00007f5534558000)
	libssh2.so.1 => /usr/lib/libssh2.so.1 (0x00007f5534517000)
	libpsl.so.5 => /usr/lib/libpsl.so.5 (0x00007f5534504000)
	libssl.so.1.1 => not found
	libcrypto.so.1.1 => not found
	libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00007f55344ae000)
	libbrotlidec.so.1 => /usr/lib/libbrotlidec.so.1 (0x00007f55344a0000)
	libassuan.so.0 => /usr/lib/libassuan.so.0 (0x00007f553448b000)
	libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0x00007f5534463000)
	libunistring.so.2 => /usr/lib/libunistring.so.2 (0x00007f55342b7000)
	libssl.so.1.1 => not found
	libcrypto.so.1.1 => not found
	libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00007f55341df000)
	libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00007f55341af000)
	libcom_err.so.2 => /usr/lib/libcom_err.so.2 (0x00007f55341a9000)
	libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00007f553419b000)
	libkeyutils.so.1 => /usr/lib/libkeyutils.so.1 (0x00007f5534194000)
	libresolv.so.2 => /usr/lib/libresolv.so.2 (0x00007f5534182000)
	libbrotlicommon.so.1 => /usr/lib/libbrotlicommon.so.1 (0x00007f553415f000)
archlabs% 


Is there anyone who can lend a hand to a newbie ?!
pacman doesn’t work anymore library error

Just be patient there my friend, it s Sunday, someone might be able to help you out later on.

Thank for having replied altman.

No problem @ector . Hoped that I could ve helped you on that one but I can t.

Looks like it has or also has to do with systemd-sysusers .

Wonder if you can go back before you updated .

Also, did you try to reboot afterward or it s after you rebooted.

Unless you haven t rebooted after update.

Pacman doesn’t work anymore library error posted above.

No, I haven’t restarted, I’m afraid it won’t start anymore and I don’t want to lose this installation, it took me months to get it like this.

The bullshit with gpt is that it can’t backup with dd, I know you can, but you have to use a whole hard disk.

Oh that sux, better wait then. Hopefully you ll be able to fix it & that it wont take too much time !

I hope that with the iso it is possible to restore pacman otherwise it is the end.
And you think there are few people here lately. Am I wrong ?!

Unfortunately on the arch wiki there is a lot to read and it is true that I do not understand much, also because it is all in English

You might try to translate the page with Google Translate, it might help you out also.

Also, what s the results of this command from Terminal;

pacman -Q

ls /var/log/pacman.log

archlabs% pacman -Q
pacman: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
archlabs% 


archlabs% ls /var/log/pacman.log
/var/log/pacman.log
archlabs%


Have you searched the Arch forum or reddit page for this error?

Looks like you can fix this by booting the iso, chroot into your system, and reinstall pacman from the chroot environment.

2 Likes

I wonder if it has to do with this thread;

https://bbs.archlinux.org/viewtopic.php?id=281005

Yes,but they are not the same as my mistake
Could you tell me how to chroot from iso, I would be grateful, because I understand little from the wiki.
As already mentioned, I’m not a great expert, I’ve been doing kernel updates for years like this, only this time I didn’t see that it also updated openssl.
Thank you

How bout that command;

pacman -Syu --debug

archlabs% pacman -Syu --debug
pacman: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory
archlabs%

I can’t rebuild anything pacman is broken

Hope that this link can be of any help @ector

1 Like

Forgive me altman, thanks for the help, but I have never seen rescue chroot.